/*
	Copyright (C) MOXA Inc. All rights reserved.

	This software is distributed under the terms of the
	MOXA License.  See the file COPYING-MOXA for details.
*/
#pragma once
#include <iostream>
#include <string>
using namespace std;

#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif
	enum RESET_STATUS
	{
		RESET_SLOT1 = 1,
		RESET_SLOT0 = 0,
		LIB_INITIALIZE_FAIL = -1,
		PORT_OUTOF_INDEX = -2,
		SET_STATUS_ERR = -3,
	};

	HMODULE GetCurrentModule();
	int InitMXRESET(void);
	int GetRESETSlotStatus(int port);
	int SetRESETSlotStatus(int port, int time);

#ifdef __cplusplus    // If used by C++ code, 
}
#endif
